Bug 722359 - Backlog: Shortcut keys (alt - up/down and j/k arrow keys, alt - g for copy src to trans)
Backlog: Shortcut keys (alt - up/down and j/k arrow keys, alt - g for copy sr...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.3
Unspecified Unspecified
high Severity medium
: ---
: 1.4.2
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks: Zanata-1.4.2
  Show dependency treegraph
 
Reported: 2011-07-14 21:16 EDT by Ding-Yi Chen
Modified: 2011-10-28 03:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:02:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-07-14 21:16:39 EDT
Description of problem:
Keyboard shortcuts should be able to use to speed up the editing.

Keyboard short cut list:
alt-up: Move the focus to previous cell in both editing mode and navigating mode.
alt-down: Move the focus to next cell in both editing mode and navigating mode.
alt-g: copy source to trans in editing mode
j: Move the focus to next cell in navigating mode.
k: Move the focus to previous cell in navigating mode.

Version-Release number of selected component (if applicable):
1.4-SHAPSHOT
Comment 1 Sean Flanigan 2011-08-10 02:01:59 EDT
We should also have these shortcuts:

alt-j: Move the focus to next cell in both edit mode and navigate mode.
alt-k: Move the focus to previous cell in both edit mode and navigate mode.
alt-g: copy source to trans in edit mode or navigate mode

Most of these shortcuts have been implemented.  Some haven't, but they aren't blockers for Zanata 1.4.

Currently missing:

alt-up, alt-down, alt-j and alt-k currently only work in edit mode, not navigate mode.

J and K shortcuts in navigate mode have not been implemented.

(Basically, we don't have navigate mode at all, yet.)
Comment 2 Sean Flanigan 2011-08-11 01:56:16 EDT
What has been implemented is okay for 1.4.
Comment 3 Sean Flanigan 2011-08-18 21:00:02 EDT
We shouldn't forget about the navigation-mode shortcuts.
Comment 4 Sean Flanigan 2011-09-07 00:33:03 EDT
Assigning to Scrum product owner for prioritisation.
Comment 5 Runa Bhattacharjee 2011-09-08 08:41:23 EDT
Non-availability of shortcuts particularly in the navigation mode is an important feature loss. Moving this back into the queue to be considered for v1.5.
Comment 6 Alex Eng 2011-10-16 23:28:51 EDT
Correction: 
ALT+J = Move to next entry
ALT+K = Move to previous entry
Comment 7 Alex Eng 2011-10-17 01:42:04 EDT
Implemented shorcuts in navigation mode. See https://github.com/zanata/zanata/commit/cba272203d9fe8c6bb09438364623317621414c8
Comment 8 Ding-Yi Chen 2011-10-17 22:55:44 EDT
VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111017-1623)

Note You need to log in before you can comment on or make changes to this bug.